Uploaded image for project: 'SonarQube Eclipse'
  1. SonarQube Eclipse
  2. SONARCLIPS-338

Make it possible to select the Eclipse Problem level associated to Sonar violations

    Details

    • Type: New Feature
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 3.0
    • Component/s: None
    • Labels:
      None

      Description

      This level is currently "Warning" and this should remain the default level. But a user should be able to select another value among "Error", "Warning" and "Info".

      This configuration should be available in the general Sonar preference tab.

        Issue Links

          Activity

          Hide
          freddy.mallet Freddy Mallet added a comment -

          Works well Julien !

          Could you just :

          • Add the following text on top of the main sonar preferences page : "General Sonar Settings"
          • I guess it's not possible to automatically update the standard "Problems" view as soon as the default severity level is changed ?
          Show
          freddy.mallet Freddy Mallet added a comment - Works well Julien ! Could you just : Add the following text on top of the main sonar preferences page : "General Sonar Settings" I guess it's not possible to automatically update the standard "Problems" view as soon as the default severity level is changed ?
          Hide
          henryju OLD - Julien HENRY added a comment -

          Both points fixed/implemented.

          Show
          henryju OLD - Julien HENRY added a comment - Both points fixed/implemented.
          Hide
          freddy.mallet Freddy Mallet added a comment -

          About the automatic update of the "Problems" view, I get the following error when changing the severity level :

          "null
          Error
          Tue Dec 11 16:23:54 CET 2012
          Unable to update marker severity
          "

          Show
          freddy.mallet Freddy Mallet added a comment - About the automatic update of the "Problems" view, I get the following error when changing the severity level : "null Error Tue Dec 11 16:23:54 CET 2012 Unable to update marker severity "
          Hide
          henryju OLD - Julien HENRY added a comment -

          This is because I was trying to update markers on closed projects. Should be fixed now.

          Show
          henryju OLD - Julien HENRY added a comment - This is because I was trying to update markers on closed projects. Should be fixed now.
          Hide
          freddy.mallet Freddy Mallet added a comment -

          Well done Julien, manually tested !

          Show
          freddy.mallet Freddy Mallet added a comment - Well done Julien, manually tested !

            People

            • Assignee:
              henryju OLD - Julien HENRY
              Reporter:
              freddy.mallet Freddy Mallet
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: